package de.champonthis.buntspecht.model;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Lob;
import jakarta.persistence.Table;


@Entity
@Table(name = "system_properties")
public class SystemProperty {

	@Id
	@Column(name = "id")
	private String key;
	@Lob
	@Column(name = "value", length = 100000)
	private String value;

	
	public SystemProperty() {
		super();
	}

	
	public SystemProperty(String key, String value) {
		super();
		this.key = key;
		this.value = value;
	}

	
	public String getKey() {
		return key;
	}

	
	public void setKey(String key) {
		this.key = key;
	}

	
	public String getValue() {
		return value;
	}

	
	public void setValue(String value) {
		this.value = value;
	}

}
